#ifndef CFG_LINUX_SHASTA_H
#define CFG_LINUX_SHASTA_H

#define VDEBUG	0 

#define _OS_LINUX
#define _COMPILER_GCC_COMPATIBLE

#define FINISH_HANDSHAKE_FIRST

/* Include OS related head files*/
#include <linux/init.h>
#include <stdarg.h>
#include <asm/io.h>
#include <asm/string.h>
#include <asm/irq.h>
#include <asm/byteorder.h>
#include <linux/version.h>
#include <linux/string.h>
#include <linux/errno.h>
#include <linux/kernel.h>
#include <linux/ioport.h>
#include <linux/delay.h>
#include <linux/sched.h>
#include <linux/time.h>
#include <linux/pci.h>
#include <linux/proc_fs.h>
#include <linux/irq.h>
#ifndef LINUX_VERSION_CODE
#include <linux/version.h>
#endif
#if LINUX_VERSION_CODE < KERNEL_VERSION(2,5,0)
#include <linux/blk.h>
#else
#include <linux/blkdev.h>
#include <linux/interrupt.h>
#endif
//#include <linux/tqueue.h>
#include <linux/types.h>
#include <linux/hdreg.h>
#include <linux/notifier.h>        
#include <linux/reboot.h>

#include <linux/module.h>
#include <linux/spinlock.h>
#include <linux/smp.h>

#include <asm/uaccess.h>
#if LINUX_VERSION_CODE < KERNEL_VERSION(2,5,0)
#include <scsi.h>
#include <sd.h>
#include <hosts.h>
#else
#include <scsi/scsi.h>
#include <scsi/scsi_device.h>
#include <scsi/scsi_cmnd.h>
#include <scsi/scsi_host.h>
#define scsi_to_pci_dma_dir(x) (x)
#endif
#ifdef _64BPLATFORM
#include <asm/ioctl32.h>
#endif
#include "osd_cons.h"
#include "gen_typs.h"
#include "gen_util.h"
#include "osd_exp.h"
#include "osd_hwapi.h"
#include "fmu_scsi.h"
#include "osd_dbg.h"
#include "osd_tag.h"
#include "osd_scsi.h"
#include "osd_linux.h"
#include "osd_mu.h"
#include "osd_cmpm.h"
#include "osd_req.h"

#endif /* CFG_LINUX_SHASTA_H */

