#ifndef _OSD_REQUEST_H
#define _OSD_REQUEST_H

/*
 * IO Control Related.
 */

#define FASTTRAK_IOCTL_SIGNATURE1   0x54534146
#define FASTTRAK_IOCTL_SIGNATURE2   0x4b415254

/* IOCTL Code */
#define IOCTL_FASTTRAK_GETVERSION           0x00000001   
/* driver internal use, don't touch it. */
#define IOCTL_FASTTRAK_POWER_STATE_CHANGING		0x10000001

/* Promise auxiliary command opcodes */
#define CONSOLEDEVICE_TARGETID	MAX_ARRAY_SUPPORTED

#define svucPASSTHROUGH_API_COMMAND 0xE3

/*
 * Function Definition
 */

NEEDCOMPLETE
OSD_HandleIOControl(
	IN PVOID OSDExt,
	IN PSCSI_REQUEST_BLOCK Srb
	);

NEEDCOMPLETE
OSD_HandleSCSIRequest(
	IN PVOID OSDExt,
	IN PSCSI_REQUEST_BLOCK Srb
	);

NEEDCOMPLETE
OSD_HandleShutdown(
	IN PVOID OSDExt,
	IN PSCSI_REQUEST_BLOCK Srb
	);

NEEDCOMPLETE
OSD_HandleConsoleRequest(
	IN PVOID OSDExt,
	IN PSCSI_REQUEST_BLOCK Srb
	);

/* ISR will call the following functions. */
void OSD_RAIDReturn(
	IN PVOID OSDExt,
	IN PSCSI_REQUEST_BLOCK Srb
	);

#endif
